using SecureShopContracts.BindingModels;
using SecureShopContracts.SearchModels;
using SecureShopContracts.ViewModels;

namespace SecureShopContracts.BusinessLogicsContracts
{
    public interface ISecureLogic
    {
        List<SecureViewModel>? ReadList(SecureSearchModel? model);
        SecureViewModel? ReadElement(SecureSearchModel model);
        bool Create(SecureBindingModel model);
        bool Update(SecureBindingModel model);
        bool Delete(SecureBindingModel model);
    }
}